net.minecraft.world

## Interface IWorldAccess

- All Known Implementing Classes:
    RenderGlobal, WorldManager

      public interface IWorldAccess

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcastSound(int i, int j, int k, int l, int i1)`
    `void` | `destroyBlockPartially(int i, int j, int k, int l, int i1)` Starts (or continues) destroying a block with given ID at the given coordinates for the given partially destroyed value
    `void` | `markBlockForRenderUpdate(int i, int j, int k)` On the client, re-renders this block.
    `void` | `markBlockForUpdate(int i, int j, int k)` On the client, re-renders the block.
    `void` | `markBlockRangeForRenderUpdate(int i, int j, int k, int l, int i1, int j1)` On the client, re-renders all blocks in this range, inclusive.
    `void` | `onEntityCreate(Entity entity)` Called on all IWorldAccesses when an entity is created or loaded.
    `void` | `onEntityDestroy(Entity entity)` Called on all IWorldAccesses when an entity is unloaded or destroyed.
    `void` | `playAuxSFX(EntityPlayer entityplayer, int i, int j, int k, int l, int i1)` Plays a pre-canned sound effect along with potentially auxiliary data-driven one-shot behaviour (particles, etc).
    `void` | `playRecord(String s, int i, int j, int k)` Plays the specified record.
    `void` | `playSound(String s, double d0, double d1, double d2, float f, float f1)` Plays the specified sound.
    `void` | `playSoundToNearExcept(EntityPlayer entityplayer, String s, double d0, double d1, double d2, float f, float f1)` Plays sound to all near players except the player reference given
    `void` | `spawnParticle(String s, double d0, double d1, double d2, double d3, double d4, double d5)` Spawns a particle.

- - ### Method Detail

    - #### markBlockForUpdate

          void markBlockForUpdate(int i,
                                int j,
                                int k)

      On the client, re-renders the block. On the server, sends the block to the client (which will re-render it), including the tile entity description packet if applicable. Args: x, y, z

    - #### markBlockForRenderUpdate

          void markBlockForRenderUpdate(int i,
                                      int j,
                                      int k)

      On the client, re-renders this block. On the server, does nothing. Used for lighting updates.

    - #### markBlockRangeForRenderUpdate

          void markBlockRangeForRenderUpdate(int i,
                                           int j,
                                           int k,
                                           int l,
                                           int i1,
                                           int j1)

      On the client, re-renders all blocks in this range, inclusive. On the server, does nothing. Args: min x, min y, min z, max x, max y, max z

    - #### playSound

          void playSound(String s,
                       double d0,
                       double d1,
                       double d2,
                       float f,
                       float f1)

      Plays the specified sound. Arg: soundName, x, y, z, volume, pitch

    - #### playSoundToNearExcept

          void playSoundToNearExcept(EntityPlayer entityplayer,
                                   String s,
                                   double d0,
                                   double d1,
                                   double d2,
                                   float f,
                                   float f1)

      Plays sound to all near players except the player reference given

    - #### spawnParticle

          void spawnParticle(String s,
                           double d0,
                           double d1,
                           double d2,
                           double d3,
                           double d4,
                           double d5)

      Spawns a particle. Arg: particleType, x, y, z, velX, velY, velZ

    - #### onEntityCreate

          void onEntityCreate(Entity entity)

      Called on all IWorldAccesses when an entity is created or loaded. On client worlds, starts downloading any necessary textures. On server worlds, adds the entity to the entity tracker.

    - #### onEntityDestroy

          void onEntityDestroy(Entity entity)

      Called on all IWorldAccesses when an entity is unloaded or destroyed. On client worlds, releases any downloaded textures. On server worlds, removes the entity from the entity tracker.

    - #### playRecord

          void playRecord(String s,
                        int i,
                        int j,
                        int k)

      Plays the specified record. Arg: recordName, x, y, z

    - #### broadcastSound

          void broadcastSound(int i,
                            int j,
                            int k,
                            int l,
                            int i1)

    - #### playAuxSFX

          void playAuxSFX(EntityPlayer entityplayer,
                        int i,
                        int j,
                        int k,
                        int l,
                        int i1)

      Plays a pre-canned sound effect along with potentially auxiliary data-driven one-shot behaviour (particles, etc).

    - #### destroyBlockPartially

          void destroyBlockPartially(int i,
                                   int j,
                                   int k,
                                   int l,
                                   int i1)

      Starts (or continues) destroying a block with given ID at the given coordinates for the given partially destroyed value